using System;
using System.Collections.Generic;
using System.Text;
using System.EnterpriseServices;

namespace de.WWWings.Test
{

 /// <summary>
 /// Info ist eine Testklasse für Enterprise Services, die Informationen für die Serviced Component an den Client liefert.
 /// </summary>
 //[EventTrackingEnabled(true)]
 //[System.Runtime.InteropServices.Guid("8DB030CD-DEB2-4336-90FB-81FDC439011F")]
 public class Info // : System.EnterpriseServices.ServicedComponent
 {

  long Aktivierungen = 0;
  //protected override void Activate()
  //{
  // Aktivierungen++;
  //}

  public string GetComponentInfoString()
  {
   try
   {
    string AppID = System.EnterpriseServices.ContextUtil.ApplicationId.ToString();
    return Aktivierungen + " " +
    String.Format("Komponente im Application Server: {0}\nInstance: {1}\nContext: {2}\nDatenbank:{3}\nDatenbankverbindungszustand:{4}",
    ContextUtil.ApplicationId.ToString(), 
    ContextUtil.ApplicationInstanceId.ToString(), 
    ContextUtil.ContextId.ToString(),
    new de.WWWings.DAL.DAL_TestInit().ConnectionString(),
       new de.WWWings.DAL.DAL_TestInit().ConnectionState()
    );
   }
   catch (Exception)
   {
    return Aktivierungen + " WWWings_DALBL not in Application Server!";
   }
  }


 }



}
